package J20250723;

import java.util.LinkedList;
import java.util.Queue;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo02_LinkedList_queue
 * @description
 * @create 2025/7/23
 */
public class Demo02_LinkedList_queue {
    public static void main(String[] args) {
        Queue<String> queue=new LinkedList<>();
        //添加元素
        queue.add("张三");
        queue.offer("李四");  //入队
        System.out.println(queue);
        //获取元素但不移除
        String element = queue.element();   //查询
        System.out.println(element);

        //移除元素
        queue.poll();   //出队
        System.out.println(queue);
        queue.remove();
        System.out.println(queue);

        //获取元素但不移除
        String peek = queue.peek();
        System.out.println(peek);

        System.out.println(queue);
    }
}
